abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
dnes 02:22 | Nová verze

Byla vydána verze 11.8 open source alternativy GitHubu, tj. softwarového nástroje s webovým rozhraním umožňujícího spolupráci na zdrojových kódech, GitLab (Wikipedie). Představení nových vlastností i s náhledy v příspěvku na blogu. Zdůraznit lze například SAST (Static Application Security Testing) testování JavaScriptu.

Ladislav Hagara | Komentářů: 3
dnes 02:00 | Zajímavý projekt

Neziskové technologické konsorcium Linux Foundation oznámilo, že nejnovějším oficiálním projektem konsorcia se stává ELISA (Enabling Linux In Safety Applications). Clem projektu je usnadnit společnostem vývoj a certifikaci kritických aplikací a systémů postavených na Linuxu, tj. aplikací a systémů, jejichž selhání může vést ke ztrátě lidských životů, k významným škodám na majetku nebo škodám na životním prostředí.

Ladislav Hagara | Komentářů: 2
včera 14:55 | Zajímavý projekt

Vyšlo piate číslo Magazínu KPI — webového časopisu Katedry počítačov a informatiky Technickej univerzity v Košiciach. V čísle sú články o vizualizácii dát v jazyku Python, nástroji Docker, a použití protokolu MQTT.

sergejx | Komentářů: 3
včera 10:44 | Nová verze

Po dvou a půl měsících vývoje od vydání verze 5.0 byla vydána nová verze 5.1 svobodného open source redakčního systému WordPress. Kódové označením Betty bylo vybráno na počest americké jazzové zpěvačky Betty Carter.

Ladislav Hagara | Komentářů: 0
21.2. 16:11 | Bezpečnostní upozornění

V Linuxu byla nalezena bezpečnostní chyba CVE-2019-8912. Jedná se o vážnou (CVSS v3.0: 9.8) bezpečnostní chybu typu CWE-416: Use After Free v crypto/af_alg.c. Chyba byla nalezena pomocí detektoru chyb při práci s pamětí KASAN (Kernel Address Sanitizer).

Ladislav Hagara | Komentářů: 5
21.2. 11:11 | Komunita

Mozilla.cz informuje, že další vydání SeaMonkey se zdrží. Infrastruktura projektu SeaMonkey prochází mnoha změnami. Důvodem je požadavek na nezávislost na infrastruktuře Firefoxu do konce roku, protože jeho vývoj nebude SeaMonkey následovat ve stejném tempu a rozdíly jsou moc veliké. Bohužel se při těchto přesunech nepodařilo udržet vše ve funkčním stavu a tak není možné sestavovat a vydávat nové verze SeaMonkey.

Ladislav Hagara | Komentářů: 0
20.2. 16:55 | Bezpečnostní upozornění

V Drupalu byla nalezena vysoce kritická zranitelnost PSA-2019-02-19. Podrobnosti a opravy 8.5.x a 8.6.x budou zveřejněny dnes mezi 19:00 a 23:00.

Ladislav Hagara | Komentářů: 1
20.2. 16:33 | Zajímavý projekt

Mozilla.cz informuje o stavu češtiny v projektu Common Voice. Projekt Common Voice sbírá hlasová data, na základě kterých bude možné trénovat modely a software pro rozpoznávání řeči. Aktuálně je nutné rozšířit počet vět v datové sadě a alespoň 5 tisíc vět musí být ručně ověřených několika lidmi.

Ladislav Hagara | Komentářů: 0
20.2. 16:22 | Nová verze

Byla vydána nová vývojová verze datového formátu a souvisejících nástrojů Relational pipes. Hlavní novinkou verze v0.10 je nástroj relpipe-tr-guile, který díky GNU Guile umožňuje filtrovat a transformovat relační data pomocí výrazů jazyka Scheme.

xkucf03 | Komentářů: 0
20.2. 00:33 | Bezpečnostní upozornění

CSIRT.CZ upozorňuje na kritickou zranitelnost ve WordPressu umožňující vzdálené spuštění libovolného kódu. Prakticky se jedná o kombinací dvou různých zranitelností (Directory Traversal a Local File Inclusion), pro jejichž úspěšné zneužití musí útočník získat v rámci instance WordPressu alespoň oprávnění autora.

Ladislav Hagara | Komentářů: 2
Máte v desktopovém prostředí zapnutou zvukovou znělku po přihlášení se do systému?
 (8%)
 (1%)
 (90%)
 (2%)
Celkem 398 hlasů
 Komentářů: 13, poslední dnes 18:27
Rozcestník

Dotaz: Aktualizace Nextcloud, problém s LDAP app

6.2.2018 22:43 Marian
Aktualizace Nextcloud, problém s LDAP app
Přečteno: 289×
Moc moc prosím o pomoc. Aktualizoval jsem si na Debianu Nextcloud z verze 12.5 na 13 a mám problém s app user_ldap (LDAP user and group backend). Při zapnutí přes web dostanu hlášku "Chyba: tuto aplikaci nelze zapnout, protože způsobuje nestabilitu serveru". Když ověřím přes OCC, tak
Analysing /var/www/nextcloud/apps/user_ldap/lib/Jobs/UpdateGroups.php
 18 errors
    line   64: OCP\Util::writeLog - Method of deprecated class must not be called
    line   70: OCP\Util::writeLog - Method of deprecated class must not be called
    line   80: OCP\Util::writeLog - Method of deprecated class must not be called
    line   88: OCP\Config - Static method of deprecated class must not be called
    line   95: OCP\Util::writeLog - Method of deprecated class must not be called
    line   96: OCP\DB - Static method of deprecated class must not be called
    line  108: OCP\Util::writeLog - Method of deprecated class must not be called
    line  115: OCP\Util::writeLog - Method of deprecated class must not be called
    line  124: OCP\Util::writeLog - Method of deprecated class must not be called
    line  133: OCP\Util::writeLog - Method of deprecated class must not be called
    line  134: OCP\DB - Static method of deprecated class must not be called
    line  140: OCP\Util::writeLog - Method of deprecated class must not be called
    line  146: OCP\Util::writeLog - Method of deprecated class must not be called
    line  155: OCP\Util::writeLog - Method of deprecated class must not be called
    line  156: OCP\DB - Static method of deprecated class must not be called
    line  162: OCP\Util::writeLog - Method of deprecated class must not be called
    line  167: OCP\Util::writeLog - Method of deprecated class must not be called
    line  215: OCP\DB - Static method of deprecated class must not be called
Analysing /var/www/nextcloud/apps/user_ldap/lib/Helper.php
 2 errors
    line  159: OCP\DB - Static method of deprecated class must not be called
    line  169: OCP\DB - Static method of deprecated class must not be called
Analysing /var/www/nextcloud/apps/user_ldap/lib/Group_LDAP.php
 7 errors
    line  199: OCP\Util::writeLog - Method of deprecated class must not be called
    line  661: OCP\Util::writeLog - Method of deprecated class must not be called
    line  704: OCP\Util::writeLog - Method of deprecated class must not be called
    line  967: OCP\Util::writeLog - Method of deprecated class must not be called
    line  982: OCP\Util::writeLog - Method of deprecated class must not be called
    line 1027: OCP\Util::writeLog - Method of deprecated class must not be called
    line 1110: != - is discouraged
Analysing /var/www/nextcloud/apps/user_ldap/lib/Connection.php
 12 errors
    line  192: OCP\Util::writeLog - Method of deprecated class must not be called
    line  362: OCP\Util::writeLog - Method of deprecated class must not be called
    line  389: OCP\Util::writeLog - Method of deprecated class must not be called
    line  431: OCP\Util::writeLog - Method of deprecated class must not be called
    line  444: OCP\Util::writeLog - Method of deprecated class must not be called
    line  457: OCP\Util::writeLog - Method of deprecated class must not be called
    line  465: OCP\Util::writeLog - Method of deprecated class must not be called
    line  510: OCP\Util::writeLog - Method of deprecated class must not be called
    line  518: OCP\Util::writeLog - Method of deprecated class must not be called
    line  527: OCP\Util::writeLog - Method of deprecated class must not be called
    line  531: OCP\Util::writeLog - Method of deprecated class must not be called
    line  625: OCP\Util::writeLog - Method of deprecated class must not be called
Analysing /var/www/nextcloud/apps/user_ldap/lib/User/User.php
 1 errors
    line  543: OC_Helper - Static method of private class must not be called
Analysing /var/www/nextcloud/apps/user_ldap/lib/GroupPluginManager.php
 1 errors
    line   70: == - is discouraged
Analysing /var/www/nextcloud/apps/user_ldap/lib/Access.php
 24 errors
    line  182: OCP\Util::writeLog - Method of deprecated class must not be called
    line  190: OCP\Util::writeLog - Method of deprecated class must not be called
    line  245: OCP\Util::writeLog - Method of deprecated class must not be called
    line  269: OCP\Util::writeLog - Method of deprecated class must not be called
    line  275: OCP\Util::writeLog - Method of deprecated class must not be called
    line  361: OCP\Util::writeLog - Method of deprecated class must not be called
    line  562: OCP\Util::writeLog - Method of deprecated class must not be called
    line  569: OCP\Util::writeLog - Method of deprecated class must not be called
    line  594: OCP\User::userExists - Method of deprecated class must not be called
    line  594: OCP\User - Static method of deprecated class must not be called
    line  611: OCP\Util::writeLog - Method of deprecated class must not be called
    line  727: OCP\User::userExists - Method of deprecated class must not be called
    line  727: OCP\User - Static method of deprecated class must not be called
    line  998: == - is discouraged
    line 1011: OCP\Util::writeLog - Method of deprecated class must not be called
    line 1017: OCP\Util::writeLog - Method of deprecated class must not be called
    line 1049: OCP\Util::writeLog - Method of deprecated class must not be called
    line 1061: OCP\Util::writeLog - Method of deprecated class must not be called
    line 1132: OCP\Util::writeLog - Method of deprecated class must not be called
    line 1435: OCP\Util::writeLog - Method of deprecated class must not be called
    line 1599: OCP\Util::writeLog - Method of deprecated class must not be called
    line 1606: OCP\Util::writeLog - Method of deprecated class must not be called
    line 1908: OCP\Util::writeLog - Method of deprecated class must not be called
    line 1939: OCP\Util::writeLog - Method of deprecated class must not be called
Analysing /var/www/nextcloud/apps/user_ldap/appinfo/app.php
 1 errors
    line   64: OC_User - Static method of private class must not be called
Analysing /var/www/nextcloud/apps/user_ldap/appinfo/install.php
 1 errors
    line   28: OCP\Config - Static method of deprecated class must not be called
Deprecated file found: /var/www/nextcloud/apps/user_ldap/appinfo/update.php - please use repair steps
App is not compliant
Kde je prosblém? Tenhle user_ldap je součástí NC13 :(

Odpovědi

6.2.2018 23:11 heth
Rozbalit Rozbalit vše Re: Aktualizace Nextcloud, problém s LDAP app
Konkrétně neporadím, ale pokud budeš přeinstalovávat, pak doporučuji jít do virtualizace. Tam si před každým upgradem uděláš snapshot / nebo naklonuješ stroj a ozkoušíš zvlášť. Už bych nikdy produkční věci nedělal bez virtualizace a to i v domácích podmínkách. Kdyžtak doporučuji Proxmox. Taky mi na něm běží (nejen) NextCloud.
9.2.2018 08:54 Milan Uhrák | skóre: 28 | blog: milan_at_ABC
Rozbalit Rozbalit vše Re: Aktualizace Nextcloud, problém s LDAP app
nedá se téhož docílit na BTRFS ?
9.2.2018 13:16 Sten
Rozbalit Rozbalit vše Re: Aktualizace Nextcloud, problém s LDAP app
Dá. Kontejnerové virtualizace podporující snapshoty k tomu většinou používají právě Btrfs.

Založit nové vláknoNahoru

Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

ISSN 1214-1267   www.czech-server.cz
© 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.